- library: '&IDL_MochaBaseSystem;'
  instances:
  # - sequenceTask: '&IDI_Task_ViewWorkData;'
  #   name: 'View Work Data'
  #   initiatingElement: '&IDE_WorkData_View;'
  #   taskCategory: '&IDI_TaskCategory_WorkData;'
    
  # - sequenceTask: '&IDI_Task_EditWorkData;'
  #   name: 'Edit Work Data'
  #   initiatingElement: '&IDE_WorkData_Edit;'
  #   taskCategory: '&IDI_TaskCategory_WorkData;'
    
  - sequenceTask: '&IDI_Task_ViewWorkSet;'
    name: 'View Work Set'
    initiatingElement: '&IDE_WorkData_View;'
    taskCategory: '&IDI_TaskCategory_WorkSet;'
    
  - sequenceTask: '&IDI_Task_EditWorkSet;'
    name: 'Edit Work Set'
    initiatingElement: '&IDE_WorkData_Edit;'
    taskCategory: '&IDI_TaskCategory_WorkSet;'
    
    # name: 'View Class'
    # taskCategory: '&IDI_TaskCategory_Class;'
    # moduleId: '&IDI_Module_MochaBaseSystem;'
    # schedulable: no
    # longRunning: no
    # suppressRIHints: no
    # stepName: View Class
    # showSpreadsheetButtonOnSelection: no
    # relatedAction:
    #   object: '&IDC_Class;'
    #   action: 'View'
    #   menuPath: 'Class > View'
    # initiatingElement: '&IDE_ViewClass;'
    # taskDirectiveRAMB: '&IDMB_Element__get_Help_Text_for_View_Element;' # Element@get Help Text for View Element(GRA)*P*S(public)[ramb]
    # enableSaveParameters: no
    # enableReportGroups: no
    # handledByControlTransaction: '&IDM_Element__View_Start;' # Element@ View Start(CT)*S
    # respondsWithElement: '&IDE_ViewElementEdit;'
    # updating: no
    # targetAudience: 'ESS'
    # businessProcessType: 'VIEWELEMENT'

  - element: '&IDE_WorkData_View;'
    name: 'view work set'
    elementContents:
    - globalIdentifier: '{9531a7c4-c856-4326-b146-cd875cfb5aeb}'
      defaultDataType: '&IDE_WorkData_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_WorkData_Edit;'
    name: 'edit work set'
    elementContents:
    - globalIdentifier: '{1d3a264c-162b-45fa-9a0f-8a018906a5e7}'
      defaultDataType: '&IDE_WorkData_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_WorkData_Subedits;'
    name: 'work data subedits'
    elementContents:
    - globalIdentifier: '{1ae369fe-7f0a-472f-b04c-e429207b5436}'
      defaultDataType: '&IDC_WorkSet;'

    - globalIdentifier: '{8eef2b0e-9d47-4184-9b05-d778239a7b7c}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{1aef89a0-1fc4-4ead-983a-8558ba351b60}'
      defaultDataType: '&IDA_Singular;'
      
    # - globalIdentifier: '{f6fbaab7-f947-49ee-95c3-d7b652e346f4}'
    #   defaultDataType: '&IDR_Work_Data__in__Namespace;'
    #   label: Namespace